%global _empty_manifest_terminate_build 0
Name:           python-certifi
Version:        2023.7.22
Release:        1
Summary:        Python package for providing Mozilla's CA Bundle.
License:        MPL-2.0
URL:            https://certifiio.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/c/certifi/certifi-%{version}.tar.gz
BuildArch:      noarch
%description
Certifi provides Mozilla carefully curated collection of Root Certificates for validating the
trustworthiness of SSL certificates while verifying the identity of TLS hosts. It has been
extracted from the Requests project.

%package -n python3-certifi
Summary:        Python package for providing Mozilla's CA Bundle.
Provides:       python-certifi
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-certifi
Certifi provides Mozilla carefully curated collection of Root Certificates for validating the
trustworthiness of SSL certificates while verifying the identity of TLS hosts. It has been
extracted from the Requests project.

%package help
Summary:        Python package for providing Mozilla's CA Bundle.
Provides:       python3-certifi-doc
%description help
Certifi provides Mozilla carefully curated collection of Root Certificates for validating the
trustworthiness of SSL certificates while verifying the identity of TLS hosts. It has been
extracted from the Requests project.

%prep
%autosetup -n certifi-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-certifi -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 31 2023 yaoxin <yao_xin001@hoperun.com> - 2023.7.22-1
- Update to 2023.7.22 for fix CVE-2023-37920 and CVE-2022-23491

* Wed Jan 19 2022 SimpleUpdate Robot <tc@openeuler.org> - 2021.10.8-1
- Upgrade to version 2021.10.8

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 2020.12.5-1
- Upgrade to version 2020.12.5

* Tue Aug 4 2020 wangxiao <wangxiao65@huawei.com> - 2020.6.20-1
- package init
